{% extends "admin/change_form.html" %}
{% load i18n admin_urls admin_extras %}

{% block object-tools-items %}
  {% with status=adminform.form.instance.status %}

      {% if status in "AC_VALIDATION_PROCESSING,CHANGES_REQUIRED,VALIDATED,REFUSED,CLOSED" %}
          <li>
              <a href="{% qurl 'otpadmin:aidants_connect_habilitation_organisationrequest_waiting' object_id=object_id %}">
                  Remettre en attente
              </a>
          </li>
      {% endif %}

    {% if status in "AC_VALIDATION_PROCESSING,CHANGES_REQUESTED" %}
      <li>
        <a href="{% qurl 'otpadmin:aidants_connect_habilitation_organisationrequest_accept' object_id=object_id %}">
          <span aria-hidden="true">✅️ </span>
          Accepter
        </a>
      </li>
      <li>
        <a href="{% qurl 'otpadmin:aidants_connect_habilitation_organisationrequest_refuse' object_id=object_id %}">
          <span aria-hidden="true">❌ </span>
          Refuser
        </a>
      </li>
    {% endif %}
    {% if status in "AC_VALIDATION_PROCESSING" %}
      <!--<li>
        <a href="{# url 'otpadmin:aidants_connect_habilitation_organisationrequest_proposechanges' object_id=object_id  #}">
          <span aria-hidden="true">💡️ </span>
          Proposer des modifications
        </a>
      </li>-->
      <li>
        <a href="{% qurl 'otpadmin:aidants_connect_habilitation_organisationrequest_requirechanges' object_id=object_id %}">
          <span aria-hidden="true">✨ </span>
          Demander des modifications
        </a>
      </li>
    {% endif %}
    {% if status in "VALIDATED" %}
      <!--<li>
        <a href="{# url 'otpadmin:aidants_connect_habilitation_organisationrequest_close' object_id=object_id #}">
          <span aria-hidden="true">👋️ </span>
          Clôturer
        </a>
      </li>-->
    {% endif %}
  {% endwith %}
  {{ block.super }}
{% endblock %}
